package agentkindboxreqhandler

import (
	adminauthorizationservice "git.gocasts.ir/ebhomengo/niki/service/admin/authorization"
	agentkindboxreqservice "git.gocasts.ir/ebhomengo/niki/service/agent/kind_box_req"
	authservice "git.gocasts.ir/ebhomengo/niki/service/auth"
	"git.gocasts.ir/ebhomengo/niki/service/notification"
)

type Handler struct {
	authSvc            authservice.Service
	agentKindBoxReqSvc agentkindboxreqservice.Service
	adminAuthorizeSvc  adminauthorizationservice.Service
	notificationSvc    notification.Service
}

func New(authSvc authservice.Service,
	agentKindBoxReqSvc agentkindboxreqservice.Service,
	adminAuthorizeSvc adminauthorizationservice.Service,
	notificationSvc notification.Service,
) Handler {
	return Handler{
		authSvc:            authSvc,
		agentKindBoxReqSvc: agentKindBoxReqSvc,
		adminAuthorizeSvc:  adminAuthorizeSvc,
		notificationSvc:    notificationSvc,
	}
}
