package addressparam

type BenefactorAddAddressRequest struct {
	PostalCode   string  `json:"postal_code" example:"1234567890"`
	Address      string  `json:"address" example:"tehran"`
	Lat          float64 `json:"lat" example:"22.23"`
	Lon          float64 `json:"lon" example:"22.22"`
	CityID       uint    `json:"city_id" example:"1"`
	BenefactorID uint    `json:"-"`
	Name         string  `json:"name" example:"home"`
}

type BenefactorAddAddressResponse struct {
	Data        Data              `json:"data"`
	FieldErrors map[string]string `json:"field_errors,omitempty"`
}
